Get transcript
curl --request GET \
--url https://analytics-api.voiceflow.com/v1/transcript/{transcriptID} \
--header 'authorization: <api-key>'import requests
url = "https://analytics-api.voiceflow.com/v1/transcript/{transcriptID}"
headers = {"authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>'}};
fetch('https://analytics-api.voiceflow.com/v1/transcript/{transcriptID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transcript": {
"id": "<string>",
"userID": "<string>",
"sessionID": "<string>",
"projectID": "<string>",
"environmentID": "<string>",
"createdAt": "2023-12-25",
"updatedAt": "2023-12-25",
"expiresAt": "2023-12-25",
"endedAt": "2023-12-25",
"recordingURL": "<string>",
"properties": [
{
"value": "<string>",
"metadata": {},
"createdAt": "2023-12-25",
"updatedAt": "2023-12-25",
"id": "<string>",
"name": "<string>",
"type": "<string>",
"default": true
}
],
"evaluations": [
{
"value": 123,
"reason": "<string>",
"cost": 123,
"createdAt": "2023-12-25",
"updatedAt": "2023-12-25",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"default": true,
"type": "boolean"
}
],
"history": [
{
"id": "<string>",
"createdAt": "2023-12-25"
}
],
"logs": [
{
"data": "<string>",
"createdAt": "2023-12-25",
"updatedAt": "2023-12-25"
}
],
"projectEnvironmentID": "<string>"
}
}Get transcript
Fetch a transcript with its logs, properties and evaluation results.
GET
/
v1
/
transcript
/
{transcriptID}
Get transcript
Authorizations
Voiceflow API key
Path Parameters
ID of the transcript to target.
Query Parameters
When enabled, un-redacted logs will be returned if they are still available.
When enabled, only text, speak and live-agent-handoff traces will be returned.
Used to indicate additional trace types that should be returned when filterConversation is enabled.
Escape HTML special characters that appear in transcripts.
Response
200 - application/json
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Hide child attributes
Hide child attributes
Available options:
boolean Was this page helpful?
⌘I